SDXFrameWork 0.09 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Static Public Member Functions | List of all members
SDX::BlendBlt Class Reference

イメージを合成して合成[未実装]. More...

`#include <Blend.h>`

## Static Public Member Functions
static Image | Add (const Image *合成元A, const Image *合成元B, double 合成率)
| 説明. More...
static Image | Add (const Image *合成元A, const Image *合成元B, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY, double 合成率)
static Image | Burn (const Image *合成元A, const Image *合成元B, double 合成率)
| 説明. More...
static Image | Burn (const Image *合成元A, const Image *合成元B, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY, double 合成率)
static Image | Darken (const Image *合成元A, const Image *合成元B, double 合成率)
| 説明. More...
static Image | Darken (const Image *合成元A, const Image *合成元B, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY, double 合成率)
static Image | Diference (const Image *合成元A, const Image *合成元B, double 合成率)
| 説明. More...
static Image | Difference (const Image *合成元A, const Image *合成元B, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY, double 合成率)
static Image | Dodge (const Image *合成元A, const Image *合成元B, double 合成率)
| 説明. More...
static Image | Dodge (const Image *合成元A, const Image *合成元B, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY, double 合成率)
static Image | Exclusion (const Image *合成元A, const Image *合成元B, double 合成率)
| 説明. More...
static Image | Exclusion (const Image *合成元A, const Image *合成元B, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY, double 合成率)
static Image | HardLight (const Image *合成元A, const Image *合成元B, double 合成率)
| 説明. More...
static Image | HardLight (const Image *合成元A, const Image *合成元B, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY, double 合成率)
static Image | Lighten (const Image *合成元A, const Image *合成元B, double 合成率)
| 説明. More...
static Image | Lighten (const Image *合成元A, const Image *合成元B, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY, double 合成率)
static Image | Multiple (const Image *合成元A, const Image *合成元B, double 合成率)
| 説明. More...
static Image | Multiple (const Image *合成元A, const Image *合成元B, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY, double 合成率)
static Image | Normal (const Image *合成元A, const Image *合成元B, double 合成率)
| 説明. More...
static Image | Normal (const Image *合成元A, const Image *合成元B, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY, double 合成率)
static Image | OverLay (const Image *合成元A, const Image *合成元B, double 合成率)
| 説明. More...
static Image | OverLay (const Image *合成元A, const Image *合成元B, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY, double 合成率)
static Image | RgbaSelectMix (const Image *合成元A, const Image *合成元B, double 合成率, RGBA selectR, RGBA selectG, RGBA selectB, RGBA selectA)
| 説明. More...
static Image | RgbaSelect (const Image *合成元A, const Image *合成元B, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY, double 合成率, RGBA selectR, RGBA selectG, RGBA selectB, RGBA selectA)
static Image | Screen (const Image *合成元A, const Image *合成元B, double 合成率)
| 説明. More...
static Image | Screen (const Image *合成元A, const Image *合成元B, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY, double 合成率)
static Image | SoftLight (const Image *合成元A, const Image *合成元B, double 合成率)
| 説明. More...
static Image | SoftLight (const Image *合成元A, const Image *合成元B, int srcX1, int srcY1, int srcX2, int srcY2, int blendX, int blendY, int destX, int destY, double 合成率)

## Detailed Description

イメージを合成して合成[未実装].

Blendクラスを参照。
２つのイメージを特殊効果付きでブレンドし、イメージのハンドルを返す。

## Member Function Documentation

static Image SDX::BlendBlt::Add | ( | const Image * | 合成元A,
|  | const Image * | 合成元B,
|  | double | 合成率
| ) |  |
| static

説明.

static Image SDX::BlendBlt::Burn | ( | const Image * | 合成元A,
|  | const Image * | 合成元B,
|  | double | 合成率
| ) |  |
| static

説明.

static Image SDX::BlendBlt::Darken | ( | const Image * | 合成元A,
|  | const Image * | 合成元B,
|  | double | 合成率
| ) |  |
| static

説明.

static Image SDX::BlendBlt::Diference | ( | const Image * | 合成元A,
|  | const Image * | 合成元B,
|  | double | 合成率
| ) |  |
| static

説明.

static Image SDX::BlendBlt::Dodge | ( | const Image * | 合成元A,
|  | const Image * | 合成元B,
|  | double | 合成率
| ) |  |
| static

説明.

static Image SDX::BlendBlt::Exclusion | ( | const Image * | 合成元A,
|  | const Image * | 合成元B,
|  | double | 合成率
| ) |  |
| static

説明.

static Image SDX::BlendBlt::HardLight | ( | const Image * | 合成元A,
|  | const Image * | 合成元B,
|  | double | 合成率
| ) |  |
| static

説明.

static Image SDX::BlendBlt::Lighten | ( | const Image * | 合成元A,
|  | const Image * | 合成元B,
|  | double | 合成率
| ) |  |
| static

説明.

static Image SDX::BlendBlt::Multiple | ( | const Image * | 合成元A,
|  | const Image * | 合成元B,
|  | double | 合成率
| ) |  |
| static

説明.

static Image SDX::BlendBlt::Normal | ( | const Image * | 合成元A,
|  | const Image * | 合成元B,
|  | double | 合成率
| ) |  |
| static

説明.

static Image SDX::BlendBlt::OverLay | ( | const Image * | 合成元A,
|  | const Image * | 合成元B,
|  | double | 合成率
| ) |  |
| static

説明.

static Image SDX::BlendBlt::RgbaSelectMix | ( | const Image * | 合成元A,
|  | const Image * | 合成元B,
|  | double | 合成率,
|  | RGBA | selectR,
|  | RGBA | selectG,
|  | RGBA | selectB,
|  | RGBA | selectA
| ) |  |
| static

説明.

static Image SDX::BlendBlt::Screen | ( | const Image * | 合成元A,
|  | const Image * | 合成元B,
|  | double | 合成率
| ) |  |
| static

説明.

static Image SDX::BlendBlt::SoftLight | ( | const Image * | 合成元A,
|  | const Image * | 合成元B,
|  | double | 合成率
| ) |  |
| static

説明.